指定未选定夹点的颜色。 支持的平台:仅窗口 属性值只读:不 类型:枚举acColor 控制所选夹点(绘制为框轮廓)。有效范围为 1 到 255,或此处列出的常量之一:
言论此属性的初始值为 150。 注意:此属性的值存储在 GRIPCOLOR 系统变量中。
例子工 务 局: Sub Example_GripColorUnselected() ' This example reads and modifies the preference value that controls ' the color of unselected grips. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadPreferencesSelection Dim originalValue As Variant, newValue As Variant ' Get the selection preferences object Set ACADPref = ThisDrawing.Application.preferences.Selection ' Read and display the original value originalValue = ACADPref.GripColorUnselected MsgBox "The GripColorUnselected preference is set to: " & originalValue ' Modify the GripColorUnselected preference by setting it to green ACADPref.GripColorUnselected = acGreen newValue = ACADPref.GripColorUnselected MsgBox "The GripColorUnselected preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.GripColorUnselected = originalValue MsgBox "The GripColorUnselected preference was reset back to: " & originalValue End Sub Visual LISP: (vl-load-com) (defun c:Example_GripColorUnselected() ;; This example reads and modifies the preference value that controls ;; the color of unselected grips. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Get the selection preferences object (setq ACADPref (vla-get-Selection (vla-get-preferences acadObj))) ;; Read and display the original value (setq originalValue (vla-get-GripColorUnselected ACADPref)) (alert (strcat "The GripColorUnselected preference is set to: " (itoa originalValue))) ;; Modify the GripColorUnselected preference by setting it to green (vla-put-GripColorUnselected ACADPref acGreen) (setq newValue (vla-get-GripColorUnselected ACADPref)) (alert (strcat "The GripColorUnselected preference has been set to: " (itoa newValue))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-GripColorUnselected ACADPref originalValue) (alert (strcat "The GripColorUnselected preference was reset back to: " (itoa originalValue))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:19
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.